Community
cancel
Showing results for 
Search instead for 
Did you mean: 
AsimG
Novice
6,069 Views

How to link ABAQUS with Intel One API toolkits to run FORTRAN SUBROUTINES

Jump to solution

Hi

I am not able to link ABAQUS with Intel One API. I installed the INTEL ONE API Base toolkit and ONE API HPC toolkits. In the past there used to be INTEL PARALLEL STUDIO and the old fashioned way to link ABAQUS with INTEL PARALLEL STUDIO (to run the FORTRAN subroutines in ABAQUS) was by editing the ABAQUS2019.bat file located at the commands directory inside simulia folder and by calling the batch files ifortvars and mklvars but now it is not possible to link ABAQUS with ONE API as those batch files are not present inside the ONE API directory. Intel has highlighted that ONE API toolkit is the replacement of the older INTEL PARALLEL STUDIO.

Please help me to link the ABAQUS with the ONE API toolkit so that I can use it to run FORTRAN subroutines in ABAQUS. 

The procedure I followed for reference.

Installed Microsoft visual studio 

Installed one API base toolkit

Installed one API HPC toolkit

Installed ABAQUS

Now I am stuck what to do ?? Please help me out.

 

 

Labels (1)

Accepted Solutions
67 Replies
AbhishekD_Intel
Moderator
2,814 Views

Hi Asim,


Thanks for reaching out to us.

In the oneAPI toolkit, we have a compiler directory where you can find the vars.bat file.

If you want to use ifort/ifx then try using " C:\Program Files (x86)\Intel\oneAPI\compiler\latest\env\vars.bat ", similarly for MKL you can use " C:\Program Files (x86)\Intel\oneAPI\mkl\2021.1.1\env " and it will work.


Hope this will help you to solve your problem, reach out to us if you have further issues.


Warm Regards,

Abhishek


AsimG
Novice
2,808 Views

I have tried that but ABAQUS 2019 fails to link with the Intel Fortran compiler. I am a graduate student and I need to run Fortran subroutines in ABAQUS. My University has a license for ABAQUS 2019 and I am not able to use the One API toolkit to run Fortran subroutines in ABAQUS 2019. ABAQUS 2019 seems to be incompatible with One API toolkit for running Fortran Subroutines. I  request you to provide me the a way to download and access Intel Parallel Studio XE 2019 so that I can go about doing my research. I have tried everything from going through the intel and Abaqus forums and tried every trick in the book to make ABAQUS 2019 run Fortran Subroutines using One API toolkits. I would request you to provide me the access to download and use Intel Parallel Studio XE 2019 so that I can continue with my research work.

AbhishekD_Intel
Moderator
2,763 Views

Hi Asim,


We are moving this thread to Intel Parallel Studio Forum, they will definitely provide you the details to download and install Intel Parallel Studio.



Warm Regards,

Abhishek


AsimG
Novice
2,745 Views

Thank you. It would be highly appreciated. Hope that it will be done soon so that I am able to access and install the Intel Parallel Studio XE 2019 and continue my research work. 

Andrew_Kocak
Novice
2,725 Views

I have been experiencing this exact issue for a few weeks now. I have also tried redirecting to the new Fortran compiler multiple times, but I also can't get it to link. My group leader is getting frustrated I am not making progress on my research. If anyone can provide a method of downloading Intel Parallel 2019 you will save me much heart ache!!!!

Monsterball
Beginner
2,652 Views

Same here, I cannot use subroutine in Abaqus now due to the Parallel Studio XE license expired. Hope they can renew our license so that we can continue our research. 

Qinjun
Beginner
2,627 Views

Hi, I have just experienced the same problem , could you please offer me the old version of Inter Parallel studio XE ?

Kale
Novice
2,554 Views

Hi!

I've been trying to link OneAPI compiler to Abaqus 2018 sort of as suggested. I'm afraid it can never happen since Abaqus is searching for the "ifort" compiler (and I really don't know how to change this in Abaqus). So, it would be great, for several researchers and students around the world, if you let us renew the licenses of Intel parallel (at least until Abaqus catch-up and it starts looking for the OneAPI fpga compilers - is it fpga_libtool or fpga_crossgen for fortran? or which one is it?). I have had student licenses before but it seems I can not renew them, how should I do to renew the said license? 

Regards!

Devorah_H_Intel
Moderator
2,523 Views

Which version is supported by ABAQUS?


AsimG
Novice
2,519 Views

I need the most recent update of Intel Parallel Studio XE 2019 cluster edition in order to link Fortran subroutines with ABAQUS 2019. I also need the licensing.  Thank you !!!

Andrew_Kocak
Novice
2,511 Views

I agree the latest version of Intel Parallel Studio XE 2019 would be perfect. Here is a link to detailed instructions published by Chiyun Zhong from the University of Toronto. For someone with a limited computer science background, I found it helpful.

Installing Abaqus User Subroutine Linking ABAQUS 2020 - Visual Studio 2019 - Parallel Studio XE 2020... 

Kale
Novice
2,504 Views

For Abaqus 2018 the Intel parallelXE 2018 update 4 works well. 

AsimG
Novice
2,502 Views

Thanks. My University has the rights to ABAQUS 2019 so in order to link the Fortran Subroutines Intel Parallel Studio XE 2019 cluster edition is the best thing to have. 

Hessein
Novice
2,496 Views

I have  ABAQUS 2017. I need to download the student version of intel Parallel Studio XE 2016 update 4.

 

I do not know where I can download it. It is not easily found on the website. Any help would be appreciated!

Devorah_H_Intel
Moderator
2,482 Views

 

Here the link to download the latest PSXE Cluster:

https://registrationcenter-download.intel.com/akdlm/irc_nas/17103/parallel_studio_xe_2020_update4_cl...

This article answers frequently asked questions regarding the transition from Intel® Parallel Studio XE and Intel® System Studio to Intel® oneAPI Commercial Product Support.

https://software.intel.com/content/www/us/en/develop/articles/oneapi-commercial-faq.html 

Devorah_H_Intel
Moderator
2,476 Views

2016 version of PSXE is not available anymore.

2017 should work 

https://registrationcenter-download.intel.com/akdlm/irc_nas/13780/parallel_studio_xe_2017_update8_se... 

 

(nobody said anything about the OS - so I posted Windows packages)

AsimG
Novice
2,468 Views

Please Provide me with the windows version of Intel Parallel Studio XE 2019 cluster edition. ABAQUS 2019 is compatible with that and My university has the the rights to ABAQUS 2019. 

AsimG
Novice
2,459 Views

Thank you very much. Hope this will help.